import { camelize } from 'camelize-object-key';
import { Meta, Canvas, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import BlockAwards from './block-awards';
import { addControls, initJsonKnobs } from '@/.storybook/helpers';

export const argTypes = {};

export const controls = {
	color: ['headingColor', 'copyColor', 'backgroundColor'],
	json: ['awards'],
};

<Meta title="Awards (Press)" component={BlockAwards} argTypes={addControls(argTypes, controls)} />

# Awards (Press)

This module is used on the home and press pages.

Used to display a grid (on desktop) or a carousel (on mobile) of items that each consist of an image, some text, and an optional link.

export const Template = (args, { argTypes }) => {
	initJsonKnobs(args, argTypes, controls.json);
	return {
		props: Object.keys(argTypes),
		components: { BlockAwards },
		template: '<block-awards v-bind="$props" />',
	};
};

export const awards = [
	{
		logo_mobile: {},
		logo: {
			url:
				'https://images.prismic.io/molekule/19440bca-1270-46ad-b6c2-4c96ee7d6450_Edison+gold+2020.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 164,
			height: 436,
		},
		quote_link_url: null,
		description: 'Consumer Goods 2020 Winner',
	},
	{
		logo_mobile: {},
		logo: {
			url: 'https://images.prismic.io/molekule%2F24cd0c0d-6414-42ce-8f47-92a03cc6d538_award2.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 329,
			height: 279,
		},
		quote_link_url: null,
		description: '25 Best Inventions',
	},
	{
		logo_mobile: {},
		logo: {
			url: 'https://images.prismic.io/molekule%2Fb88316e5-6c70-4257-903a-e83a7bc2514b_award3.png?auto=compress,format',
			alt: null,
			copyright: null,
			width: 500,
			height: 332,
		},
		quote_link_url: null,
		description: '10 Greatest Inventions of the Year',
	},
];

<Canvas withSource="none">
	<Story
		name="default"
		args={{
			awards: camelize(awards),
			heading: 'Acclaimed, award-winning technology',
			backgroundColor: '#ffffff',
			hasExtraPadding: true,
		}}
	>
		{Template.bind({})}
	</Story>
</Canvas>

## Vue Component Props

<ArgsTable of={BlockAwards} />
